Skip to main content
GET
List databases

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:25

Maximum number of items per page

Required range: 1 <= x <= 100
Example:

25

offset
integer
default:0

Number of items to skip

Required range: 0 <= x <= 10000
Example:

0

status
enum<string>

Return only databases with this status. The status reflects the most recent lifecycle operation, for example ready, creating, updating, restoring, deleting, or error.

Available options:
creating,
ready,
updating,
passwordChange,
passwordChangeFailed,
deleting,
error,
dbDeletionFailed,
restoring,
restoringFailed,
updatingExternalConnection
Example:

"ready"

type
enum<string>

Return only databases of this engine type. postgresql - PostgreSQL. mariadb - MariaDB. mysql - MySQL. redis - Redis. valkey - Valkey.

Available options:
postgresql,
mariadb,
mysql,
mongodb,
redis,
valkey
Example:

"postgresql"

project_id
string<uuid>

Return only databases that belong to this project.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Return only databases whose name or display name contains this text. Matching is case-insensitive.

Required string length: 1 - 100
Example:

"my-app"

Response

Default Response

data
object[]
required

List of items

total
integer
required

Total number of items matching the query

Required range: 0 <= x <= 10000
Example:

42

offset
integer
required

Current pagination offset

Required range: 0 <= x <= 10000
Example:

0

limit
integer
required

Current pagination limit

Required range: 1 <= x <= 100
Example:

25